Debian Bug report logs - #684330
/usr/include/netinet/sctp.h: <netinet/sctp.h> does not compile

version graph

Package: kfreebsd-kernel-headers; Maintainer for kfreebsd-kernel-headers is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for kfreebsd-kernel-headers is src:kfreebsd-kernel-headers.

Reported by: Reinhard Tartler <siretart@tauware.de>

Date: Wed, 8 Aug 2012 19:42:02 UTC

Severity: important

Found in versions kfreebsd-kernel-headers/0.53, kfreebsd-kernel-headers/0.80

Fixed in versions kfreebsd-kernel-headers/0.84, kfreebsd-kernel-headers/9.0-1

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#684330; Package kfreebsd-kernel-headers. (Wed, 08 Aug 2012 19:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@tauware.de>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 08 Aug 2012 19:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: /usr/include/netinet/sctp.h: <netinet/sctp.h> does not compile
Date: Wed, 08 Aug 2012 20:58:56 +0200
Package: kfreebsd-kernel-headers
Version: 0.53
Severity: important
File: /usr/include/netinet/sctp.h

The following test program fails to compile:

#include <netinet/sctp.h>
main(void) { struct sctp_event_subscribe v; return 0; }

gcc -c -o test test.c
In file included from test.c:1:
/usr/include/netinet/sctp.h:33: error: expected declaration specifiers or ‘...’ before string constant
In file included from test.c:1:
/usr/include/netinet/sctp.h:47: error: expected specifier-qualifier-list before ‘uint16_t’
/usr/include/netinet/sctp.h:58: error: expected specifier-qualifier-list before ‘uint8_t’
/usr/include/netinet/sctp.h:68: error: expected specifier-qualifier-list before ‘uint16_t’
/usr/include/netinet/sctp.h:316: error: expected specifier-qualifier-list before ‘uint16_t’
/usr/include/netinet/sctp.h:323: error: expected specifier-qualifier-list before ‘uint16_t’
/usr/include/netinet/sctp.h:329: error: expected specifier-qualifier-list before ‘uint32_t’
/usr/include/netinet/sctp.h:335: error: expected specifier-qualifier-list before ‘uint32_t’
In file included from /usr/include/netinet/sctp.h:494,
                 from test.c:1:
/usr/include/netinet/sctp_uio.h:33: error: expected declaration specifiers or ‘...’ before string constant


It seems to me that the wrong cdefs.h gets included.

The problem exists with both package versions 0.53 and 0.82  (current wheezy).

Cheers,
Reinhard

-- System Information:
Debian Release: 6.0.5
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 8.2-1-amd64
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

-- no debconf information



Added tag(s) pending. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Fri, 17 Aug 2012 11:09:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#684330; Package kfreebsd-kernel-headers. (Fri, 17 Aug 2012 11:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 17 Aug 2012 11:12:05 GMT) Full text and rfc822 format available.

Message #12 received at 684330@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Reinhard Tartler <siretart@tauware.de>, 684330@bugs.debian.org
Subject: Re: Bug#684330: /usr/include/netinet/sctp.h: <netinet/sctp.h> does not compile
Date: Fri, 17 Aug 2012 13:09:08 +0200
2012/8/8 Reinhard Tartler <siretart@tauware.de>:
> Package: kfreebsd-kernel-headers
> Version: 0.53
> Severity: important
> File: /usr/include/netinet/sctp.h
>
> The following test program fails to compile:
>
> #include <netinet/sctp.h>
> main(void) { struct sctp_event_subscribe v; return 0; }
>
> gcc -c -o test test.c
> In file included from test.c:1:
> /usr/include/netinet/sctp.h:33: error: expected declaration specifiers or ‘...’ before string constant
> In file included from test.c:1:
> /usr/include/netinet/sctp.h:47: error: expected specifier-qualifier-list before ‘uint16_t’
> /usr/include/netinet/sctp.h:58: error: expected specifier-qualifier-list before ‘uint8_t’
> /usr/include/netinet/sctp.h:68: error: expected specifier-qualifier-list before ‘uint16_t’
> /usr/include/netinet/sctp.h:316: error: expected specifier-qualifier-list before ‘uint16_t’
> /usr/include/netinet/sctp.h:323: error: expected specifier-qualifier-list before ‘uint16_t’
> /usr/include/netinet/sctp.h:329: error: expected specifier-qualifier-list before ‘uint32_t’
> /usr/include/netinet/sctp.h:335: error: expected specifier-qualifier-list before ‘uint32_t’
> In file included from /usr/include/netinet/sctp.h:494,
>                  from test.c:1:
> /usr/include/netinet/sctp_uio.h:33: error: expected declaration specifiers or ‘...’ before string constant

Will be fixed in next upload.

How severe is this problem? Is it holding any RC bug?

-- 
Robert Millan



Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#684330; Package kfreebsd-kernel-headers. (Fri, 17 Aug 2012 11:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@tauware.de>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 17 Aug 2012 11:39:07 GMT) Full text and rfc822 format available.

Message #17 received at 684330@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: Robert Millan <rmh@debian.org>
Cc: 684330@bugs.debian.org, Martin Storsjö <martin@martin.st>
Subject: Re: Bug#684330: /usr/include/netinet/sctp.h: <netinet/sctp.h> does not compile
Date: Fri, 17 Aug 2012 13:27:59 +0200
On Fr, Aug 17, 2012 at 13:09:08 (CEST), Robert Millan wrote:

> 2012/8/8 Reinhard Tartler <siretart@tauware.de>:
>> Package: kfreebsd-kernel-headers
>> Version: 0.53
>> Severity: important
>> File: /usr/include/netinet/sctp.h
>>
>> The following test program fails to compile:
>>
>> #include <netinet/sctp.h>
>> main(void) { struct sctp_event_subscribe v; return 0; }
>>
>> gcc -c -o test test.c
>> In file included from test.c:1:
>> /usr/include/netinet/sctp.h:33: error: expected declaration specifiers or ‘...’ before string constant
>> In file included from test.c:1:
>> /usr/include/netinet/sctp.h:47: error: expected specifier-qualifier-list before ‘uint16_t’
>> /usr/include/netinet/sctp.h:58: error: expected specifier-qualifier-list before ‘uint8_t’
>> /usr/include/netinet/sctp.h:68: error: expected specifier-qualifier-list before ‘uint16_t’
>> /usr/include/netinet/sctp.h:316: error: expected specifier-qualifier-list before ‘uint16_t’
>> /usr/include/netinet/sctp.h:323: error: expected specifier-qualifier-list before ‘uint16_t’
>> /usr/include/netinet/sctp.h:329: error: expected specifier-qualifier-list before ‘uint32_t’
>> /usr/include/netinet/sctp.h:335: error: expected specifier-qualifier-list before ‘uint32_t’
>> In file included from /usr/include/netinet/sctp.h:494,
>>                  from test.c:1:
>> /usr/include/netinet/sctp_uio.h:33: error: expected declaration specifiers or ‘...’ before string constant
>
> Will be fixed in next upload.
>
> How severe is this problem? Is it holding any RC bug?

I am not aware of any package in unstable that fails to build because of
that issue. However, the current git master of libav failed to build
before this patch has been applied:

http://git.libav.org/?p=libav.git;a=commitdiff;h=83c93fe74af013a1c376a39ee28759c89c483542

Even with this patch, SCTP functionality remains disabled, but at least
it is correctly detected as 'defective'.

I can retest the SCTP compilation as soon as a fixed package is
installed in the sid chroot of a Debian kFreeBSD porter machine.

Cheers,
Reinhard

-- 
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4



Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Wed, 12 Jun 2013 03:21:04 GMT) Full text and rfc822 format available.

Notification sent to Reinhard Tartler <siretart@tauware.de>:
Bug acknowledged by developer. (Wed, 12 Jun 2013 03:21:04 GMT) Full text and rfc822 format available.

Message #22 received at 684330-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 684330-close@bugs.debian.org
Subject: Bug#684330: fixed in kfreebsd-kernel-headers 0.84
Date: Wed, 12 Jun 2013 03:19:18 +0000
Source: kfreebsd-kernel-headers
Source-Version: 0.84

We believe that the bug you reported is fixed in the latest version of
kfreebsd-kernel-headers, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 684330@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated kfreebsd-kernel-headers package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 12 Jun 2013 03:30:26 +0200
Source: kfreebsd-kernel-headers
Binary: kfreebsd-kernel-headers
Architecture: source kfreebsd-amd64
Version: 0.84
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 kfreebsd-kernel-headers - kFreeBSD headers for development
Closes: 684330 705407
Changes: 
 kfreebsd-kernel-headers (0.84) unstable; urgency=low
 .
   [ Robert Millan ]
   * Strip __FBSDID() from all headers using it (including sctp.h).
     (Closes: #684330)
 .
   [ Petr Salinger ]
   * <sys/sysctl.h> "u_int" -> "unsigned int". Closes: #705407
   * Make <machine/sigframe.h> compilable.
 .
   [ Guillem Jover ]
   * Switch to canonical Vcs URLs.
   * Cleanup Uploaders.
   * Now using Standards-Version 3.9.4 (no changes needed).
 .
   [ Steven Chamberlain ]
   * <sys/filedesc.h> "u_long" -> "unsigned long" for compatibility
     with C99.
Checksums-Sha1: 
 c4019e638f3cef47d7528c6064047a7dc9d99067 1173 kfreebsd-kernel-headers_0.84.dsc
 9b64a1f28feb667f5eb2ef908af157e7704f58a1 53228 kfreebsd-kernel-headers_0.84.tar.gz
 3c1739c5d45514b4ab6c226582b914eb0b977848 1622460 kfreebsd-kernel-headers_0.84_kfreebsd-amd64.deb
Checksums-Sha256: 
 30b5722c3e10026b55195f734799119c1494b8e342c7bf70a8ec340073b219c3 1173 kfreebsd-kernel-headers_0.84.dsc
 c00291718c02ddf03d4086248624e130dca7d90ae8921d57578f05e97235934c 53228 kfreebsd-kernel-headers_0.84.tar.gz
 6c13ea4aad5eba19ffe25a99fb2364c93b4e19d88f24c76f0fc9c685127fdcc4 1622460 kfreebsd-kernel-headers_0.84_kfreebsd-amd64.deb
Files: 
 5cac36637a4cfb938a4ea48609612fa5 1173 kernel standard kfreebsd-kernel-headers_0.84.dsc
 428f57c3e1e13d205f85fc6c800b3bd1 53228 kernel standard kfreebsd-kernel-headers_0.84.tar.gz
 e7fbedf5358ffe6f11178dbae5b5ff04 1622460 kernel standard kfreebsd-kernel-headers_0.84_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlG31UkACgkQuW9ciZ2SjJumowCgpVUidvMB4KYulcwqRiBP7CBb
fw4AnRPEU5/q5Tw29ldzBR3yradAUaL7
=fPVj
-----END PGP SIGNATURE-----




Marked as found in versions kfreebsd-kernel-headers/0.80. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sun, 24 Nov 2013 20:40:17 GMT) Full text and rfc822 format available.

Marked as fixed in versions kfreebsd-kernel-headers/9.0-1. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sun, 24 Nov 2013 20:40:18 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 23 Dec 2013 07:32:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:31:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.